/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.EsquemaCorrida;
import java.text.SimpleDateFormat;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 * 
 * @author Rafius
 */
public class RenderConfiguracionEsquemaAgrupacion implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		EsquemaCorrida corrida = (EsquemaCorrida) o;

		Listcell lc = new Listcell(corrida.getNumCorrida().toString());
		lc.setParent(lstm);

		// Venda Pie
		try {
			lc = new Listcell(corrida.getCantparados().toString() == null ? "-" : corrida.getCantparados().toString());
			lc.setParent(lstm);
		} catch (Exception e) {
			lc = new Listcell("-");
			lc.setParent(lstm);
		}


		// RolOperativo
		try {
			lc = new Listcell(corrida.getRolOperativo().getDescroloperativo() == null ? "-" : corrida.getRolOperativo().getDescroloperativo());
			lc.setParent(lstm);
		} catch (Exception e) {
			lc = new Listcell("-");
			lc.setParent(lstm);
		}

		// Marca
		lc = new Listcell(corrida.getMarca().getDescmarca() == null ? "-" : corrida.getMarca().getDescmarca());
		lc.setParent(lstm);
		
		// Clase
		lc = new Listcell(corrida.getClaseServicio().getDescclase() == null ? "-" : corrida.getClaseServicio().getDescclase());
		lc.setParent(lstm);

		lstm.setAttribute("data", corrida);
	}
}
